int Buzzer_Pin = 8;  // 부저 연결 핀
int Tones[7] = {261, 294, 330, 349, 392, 440, 494};
//                  도    레     미    파    솔    라    시
int Tones_Number;  // Tones에 들어갈 변수

void setup()  // 초기화
{
}

/* 도 레 미 파 솔 라 시 를 순서대로 연주한다. */
void loop()  // 무한루프
{
  for (Tones_Number = 0; Tones_Number < 7; Tones_Number++)  // for문 7번 반복
  {
    tone(Buzzer_Pin, Tones[Tones_Number]);  // tone(출력 핀 번호, 주파수 값)
    // tone함수를 이용하여 소리를 만든다
    delay(500);  // 0.5초 지연
  }
  noTone(Buzzer_Pin);  // noTone(소리를 끌 핀 번호)
  // noTone 함수를 이용하여 소리를 끈다
  delay(1000);  // 1초 지연
}
